#
# spec file for package fd
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           fd
Version:        10.2.0
Release:        1.3
Summary:        An alternative to the "find" utility
License:        Apache-2.0 AND MIT
Group:          Productivity/File utilities
URL:            https://github.com/sharkdp/fd
Source:         %{name}-%{version}.tar.xz
Source1:        vendor.tar.xz
Source2:        cargo_config
# PATCH-FIX-OPENSUSE rust.patch -- decrease required rust version
Patch0:         rust.patch
BuildRequires:  cargo-packaging
# package `clap_lex v0.6.0` requires rustc 1.70.0 or newer
BuildRequires:  rust >= 1.77.0
Provides:       bundled(crate(aho-corasick)) = 0.7.18
Provides:       bundled(crate(ansi_term)) = 0.12.1
Provides:       bundled(crate(anyhow)) = 1.0.52
Provides:       bundled(crate(atty)) = 0.2.14
Provides:       bundled(crate(autocfg)) = 1.0.1
Provides:       bundled(crate(bitflags)) = 1.3.2
Provides:       bundled(crate(bstr)) = 0.2.17
Provides:       bundled(crate(cc)) = 1.0.72
Provides:       bundled(crate(cfg-if)) = 1.0.0
Provides:       bundled(crate(chrono)) = 0.4.19
Provides:       bundled(crate(clap)) = 2.34.0
Provides:       bundled(crate(crossbeam-utils)) = 0.8.5
Provides:       bundled(crate(ctrlc)) = 3.2.1
Provides:       bundled(crate(diff)) = 0.1.12
Provides:       bundled(crate(dirs-next)) = 2.0.0
Provides:       bundled(crate(dirs-sys-next)) = 0.1.2
Provides:       bundled(crate(fd-find)) = 8.3.1
Provides:       bundled(crate(filetime)) = 0.2.15
Provides:       bundled(crate(fnv)) = 1.0.7
Provides:       bundled(crate(fs_extra)) = 1.2.0
Provides:       bundled(crate(fuchsia-cprng)) = 0.1.1
Provides:       bundled(crate(getrandom)) = 0.2.3
Provides:       bundled(crate(globset)) = 0.4.8
Provides:       bundled(crate(hermit-abi)) = 0.1.19
Provides:       bundled(crate(humantime)) = 2.1.0
Provides:       bundled(crate(ignore)) = 0.4.18
Provides:       bundled(crate(jemalloc-sys)) = 0.3.2
Provides:       bundled(crate(jemallocator)) = 0.3.2
Provides:       bundled(crate(lazy_static)) = 1.4.0
Provides:       bundled(crate(libc)) = 0.2.112
Provides:       bundled(crate(log)) = 0.4.14
Provides:       bundled(crate(lscolors)) = 0.8.1
Provides:       bundled(crate(memchr)) = 2.4.1
Provides:       bundled(crate(memoffset)) = 0.6.4
Provides:       bundled(crate(nix)) = 0.23.1
Provides:       bundled(crate(normpath)) = 0.3.1
Provides:       bundled(crate(num-integer)) = 0.1.44
Provides:       bundled(crate(num-traits)) = 0.2.14
Provides:       bundled(crate(num_cpus)) = 1.13.1
Provides:       bundled(crate(once_cell)) = 1.9.0
Provides:       bundled(crate(proc-macro2)) = 1.0.32
Provides:       bundled(crate(quote)) = 1.0.10
Provides:       bundled(crate(rand)) = 0.4.6
Provides:       bundled(crate(rand_core)) = 0.3.1
Provides:       bundled(crate(rand_core)) = 0.4.2
Provides:       bundled(crate(rdrand)) = 0.4.0
Provides:       bundled(crate(redox_syscall)) = 0.2.10
Provides:       bundled(crate(redox_users)) = 0.4.0
Provides:       bundled(crate(regex)) = 1.5.4
Provides:       bundled(crate(regex-syntax)) = 0.6.25
Provides:       bundled(crate(remove_dir_all)) = 0.5.3
Provides:       bundled(crate(same-file)) = 1.0.6
Provides:       bundled(crate(strsim)) = 0.8.0
Provides:       bundled(crate(syn)) = 1.0.82
Provides:       bundled(crate(tempdir)) = 0.3.7
Provides:       bundled(crate(term_size)) = 0.3.2
Provides:       bundled(crate(test-case)) = 1.2.1
Provides:       bundled(crate(textwrap)) = 0.11.0
Provides:       bundled(crate(thread_local)) = 1.1.3
Provides:       bundled(crate(time)) = 0.1.43
Provides:       bundled(crate(unicode-width)) = 0.1.9
Provides:       bundled(crate(unicode-xid)) = 0.2.2
Provides:       bundled(crate(users)) = 0.11.0
Provides:       bundled(crate(vec_map)) = 0.8.2
Provides:       bundled(crate(version_check)) = 0.9.4
Provides:       bundled(crate(walkdir)) = 2.3.2
Provides:       bundled(crate(wasi)) = 0.10.2+wasi-snapshot_preview1
Provides:       bundled(crate(winapi)) = 0.3.9
Provides:       bundled(crate(winapi-i686-pc-windows-gnu)) = 0.4.0
Provides:       bundled(crate(winapi-util)) = 0.1.5
Provides:       bundled(crate(winapi-x86_64-pc-windows-gnu)) = 0.4.0

%description
fd is an alternative to GNU find. It features:

* Colorized terminal output (similar to ls).
* The search is case-insensitive by default. It switches to
  case-sensitive if the pattern contains an uppercase character.
* By default, ignores patterns from .gitignore, and ignores hidden
  directories and files.
* Supports regular expressions and Unicode awareness.
* A parallel execution similar to GNU Parallel is available.

%package bash-completion
Summary:        Bash Completion for %{name}
Group:          System/Shells
Requires:       bash-completion
Supplements:    (%{name} and bash)
BuildArch:      noarch

%description bash-completion
The official bash completion script for fd, generated during the build.

%package zsh-completion
Summary:        ZSH Completion for %{name}
Group:          System/Shells
Supplements:    (%{name} and zsh)
BuildArch:      noarch

%description zsh-completion
The official zsh completion script for fd, generated during the build.

%package fish-completion
Summary:        Fish Completion for %{name}
Group:          System/Shells
Supplements:    (%{name} and fish)
BuildArch:      noarch

%description fish-completion
The official fish completion script for fd, generated during the build.

%prep
%autosetup -a1 -p1
mkdir -p .cargo
cp %{SOURCE2} .cargo/config

%build
%{cargo_build}
make completions

%install
%{cargo_install}

# install shell completions and man page
install -Dm644 autocomplete/fd.bash %{buildroot}%{_datadir}/bash-completion/completions/fd
install -Dm644 autocomplete/fd.fish %{buildroot}%{_datadir}/fish/vendor_completions.d/fd.fish
install -Dm644 autocomplete/_fd %{buildroot}%{_datadir}/zsh/site-functions/_fd
install -Dm644 doc/fd.1 %{buildroot}%{_mandir}/man1/fd.1

%files
%license LICENSE-MIT LICENSE-APACHE
%doc README.md
%{_bindir}/fd
%{_mandir}/man1/fd.1%{?ext_man}

%files bash-completion
%{_datadir}/bash-completion

%files fish-completion
%{_datadir}/fish

%files zsh-completion
%{_datadir}/zsh

%changelog
* Sun Sep  1 2024 Sebastian Wagner <sebix@sebix.at>
- _service: use manual instead of disabled as suggested by osc
* Fri Aug 23 2024 sebix@sebix.at
- Update to version 10.2.0:
  * Bump dependencies
  * Prepare for 10.2.0 release
  * docs: documentation link of regular expressions to the latest version
  * build(deps): bump clap from 4.5.8 to 4.5.13
  * build(deps): bump clap_complete from 4.5.7 to 4.5.8
  * build(deps): bump nu-ansi-term from 0.50.0 to 0.50.1
  * build(deps): bump version_check from 0.9.4 to 0.9.5
  * Fix unused config struct field on Windows
  * Fix unused OnceLock import lint on Windows
  * Fix Conflicts syntax
  * Create fdfind symlinks in deb package
  * Refactor creating deb package into separate script
  * Note executable name in release debs
  * build(deps): bump clap_complete from 4.5.2 to 4.5.7
  * build(deps): bump regex from 1.10.4 to 1.10.5
  * build(deps): bump regex-syntax from 0.8.3 to 0.8.4
  * build(deps): bump clap from 4.5.4 to 4.5.8
  * build(deps): bump lscolors from 0.17.0 to 0.18.0
  * Fix percent encoding
  * docs: Add flox install
  * Continue supporting windows 7 with builds
  * Update OS versions for github actions
  * Change --hyperlink to be an option instead of a flag
  * Fix test on windows
  * Fix unicode encoding of hyperlinks
  * Add hyperlink support to fd
  * build(deps): bump libc from 0.2.154 to 0.2.155
  * build(deps): bump crossbeam-channel from 0.5.12 to 0.5.13
  * build(deps): bump nix from 0.28.0 to 0.29.0
  * build(deps): bump anyhow from 1.0.82 to 1.0.86
  * Update sponsors.md
  * Remove sponsorship message
* Wed May  8 2024 Michael Vetter <mvetter@suse.com>
- Update to version 10.1.0:
  * Add --format to help in README
  * Prepare for 10.1.0 release
  * Implement option for printing custom formats
  * docs: Make auto option for --strip-cwd-prefix more clear
  * feat: Add option to always include cwd prefix
  * Add upcoming to changelog
  * Attempt to add aarch64 osx build to CI
  * Fix #1085 for real
* Tue May  7 2024 pallaswept@proton.me
- Update to version 10.0.0:
  * Prepare for 10.0.0 release
  * Add @timestamp to --help
  * Add script to automate some of release process.
  * ci: Support large page sizes on AArch64
  * build(deps): bump libc from 0.2.153 to 0.2.154
  * build(deps): bump chrono from 0.4.37 to 0.4.38
  * build(deps): bump nix from 0.27.1 to 0.28.0
  * Fix typo in CHANGELOG
  * Add test for gitignore workaround
  * Workaround for bug with gitinored files
  * Remove unnecessary sudo in front of commands
  * Stop ignore .git folders by default
  * filesystem: Remove a redundant as_str()
  * Fix deprecation warning.
  * Add clippy using latest rust version to CI
  * Use 'MAIN_SEPARATOR_STR' instead of '&MAIN_SEPARATOR.to_string()'
  * Update MSRV to 1.77.2
  * build(deps): bump crossbeam-channel from 0.5.11 to 0.5.12
  * build(deps): bump lscolors from 0.16.0 to 0.17.0
  * build(deps): bump aho-corasick from 1.1.2 to 1.1.3
  * Set default path separator to '/' in MSYS/MSYS2
  * refactor: Optimize code based on cargo clippy suggestions
  * build(deps): bump softprops/action-gh-release from 1 to 2
  * Clean up clippy warnings
  * build(deps): bump chrono from 0.4.31 to 0.4.34
  * build(deps): bump tempfile from 3.9.0 to 3.10.1
  * build(deps): bump libc from 0.2.151 to 0.2.153
  * Run formatting
  * Add support for @%%s time format
  * Add installation instructions for more Linux distributions in README
  * More whitespace
  * Add Terminal Trove sponsorship
  * build(deps): bump nu-ansi-term from 0.49.0 to 0.50.0
  * build(deps): bump ignore from 0.4.21 to 0.4.22
  * build(deps): bump clap_complete from 4.4.6 to 4.4.9
  * build(deps): bump crossbeam-channel from 0.5.10 to 0.5.11
  * build(deps): bump regex from 1.10.2 to 1.10.3
  * Makefile: use `--locked` for build
  * Add target aarch64-unknown-linux-musl
  * Update clap version
  * build(deps): bump tempfile from 3.8.1 to 3.9.0
  * build(deps): bump crossbeam-channel from 0.5.8 to 0.5.10
  * build(deps): bump filetime from 0.2.22 to 0.2.23
  * build(deps): bump clap_complete from 4.4.4 to 4.4.5
  * build(deps): bump libc from 0.2.150 to 0.2.151
  * Updated CHANGELOG.md, man page and made alias visible in fd -h too
  * Added explicit documentation about the possibility of using dir
  * Added alias --type dir
  * Format notes in Readme
  * Fixes typo in README
  * fix: Respect NO_COLOR with --list-details option
  * CHANGELOG: Fix issue number typo
  * Update troubleshooting section
  * Update license information
  * Add new unreleased section
- Add rust.patch:
  * Decrease rust version dependency from 1.77.2 to 1.77.0.
    The later version is required to fix a problem specific to Windows and is not
    presently available to build in Factory
* Sat Dec 23 2023 Sebastian Wagner <sebix@sebix.at>
- require rust >= 1.70.0 for clap_lex dependency
* Tue Dec 19 2023 mvetter@suse.com
- Update to version 9.0.0:
  Performance:
  * Performance has been significantly improved, both due to optimizations
    in the underlying ignore crate (#1429), and in fd itself (#1422, #1408, #13620).
    Benchmarks results show gains of 6-8x for full traversals of smaller directories
    (100k files) and up to 13x for larger directories (1M files).
  * The default number of threads is now constrained to be at most 64. This should
    improve startup time on systems with many CPU cores. (#1203, #1410, #1412, #1431)
  * New flushing behavior when writing output to stdout, providing better performance
    for TTY and non-TTY use cases, see #1452 and #1313.
  Features:
  * Support character and block device file types, see #1213 and #1336
  * Breaking: .git/ is now ignored by default when using --hidden / -H, use --no-ignore
    / -I or --no-ignore-vcs to override, see #1387 and #1396
  Bugfixes:
  * Fix NO_COLOR support, see #1421
  Other:
  * Fixed documentation typos, see #1409
* Sat Oct 21 2023 mvetter@suse.com
- Update to version 8.7.1:
  * -1 properly conflicts with the exec family of options.
  * --max-results overrides -1
  * --quiet properly conflicts with the exec family of options. This
    used to be the case, but broke during the switch to clap-derive
  * --changed-within now accepts a space as well as a "T" as the
    separator between date and time (due to update of chrono dependency)
  * Many dependencies were updated
  * Some documentation was updated and fixed
* Mon Feb 27 2023 andrea.manzini@suse.com
- Update to version 8.7.0:
  * Bump dependencies
  * Add flag --no-require-git to always respect gitignore files
  * Skip an executable test if running as root
  * updates for windows platform
  * Fix logic for when to read global ignore file
  * Add Upcoming release to changelog
* Sat Jan 14 2023 andrea.manzini@suse.com
- Update to version 8.6.0:
  * New --and <pattern> option to add additional patterns that must also be matched.
  * Added --changed-after as alias for --changed-within, to have a name consistent with --changed-before.
  * Breaking: On Unix-like systems, --type executable now additionally checks if the file is executable by the current user,
  * Fix completion generation to not include full path of fd command
  * Fix build error if completions feature is disabled
  * Fix --owner, --threads/j option value parsing
* Wed Nov  2 2022 sebix@sebix.at
- Update to version 8.5.0:
  - Features
  - --type executable/-t now works on Windows, see #1051 and #1061
  - Bugfixes
  - Fixed differences between piped / non-piped output. This changes fds behavior back to what we
  - had before 8.3.0, i.e. there will be no leading ./ prefixes, unless --exec/-x,
  - --exec-batch/-X, or --print0/-0 are used. --strip-cwd-prefix can be used to strip that
  - prefix in those cases. See #1046, #1115, and #1121
  - fd could previously crash with a panic due to a race condition in Rusts standard library
  - (see rust-lang/rust#39364). This has been fixed by switching to a different
  - message passing implementation, see #1060 and #1146
  - fds memory usage will not grow unboundedly on huge directory trees, see #1146
  - fd returns an error when current working directory does not exist while a search path is
  - specified, see #1072
  - Improved "command not found" error message, see #1083 and #1109
  - Preserve command exit codes when using --exec-batch, see #1136 and #1137
  - Changes
  - No leading ./ prefix for non-interactive results, see above.
  - fd now colorizes paths in parallel, significantly improving performance, see #1148
  - fd can now avoid stat syscalls even when colorizing paths, as long as the color scheme doesn't
  - require metadata, see #1148
  - The statically linked musl versions of fd now use jmalloc, leading to a significant performance
  - improvement, see #1062
  - Other
  - Added link back to GitHub in man page and --help text, see #1086
  - Major update in how fd handles command line options internally, see #1067
* Wed Jun  8 2022 sebix@sebix.at
- Update to version 8.4.0:
  * Update documentation of --batch-size feature
  * Fix (pointless) clippy suggestion
  * Use cross to build x86_64-unknown-linux-gnu binaries to relax glibc requirements
  * Use minimal toolchain for clippy runs
  * exec: Execute batches before they get too long
  * remove description of --batch-size flag from EXAMPLES subsection
  * Limit nix features
  * Update help text and man page
  * Make -u idempotent
  * Match against reference instead of value
  * modification skeleton
  * make DirEntry Ord
  * add actual path separator value to config
  * Fix mistakes from resolving conflicts
  * Error out if no args provided to --exec or --exec-batch
  * Use full names in command.rs
  * Group together output from multi exec commands
  * Add  description of multiple --exec to man page
  * Fix clippy lints
  * Support multiple `--exec` instances
  * Looks like the COPR repo is no longer maintained
  * Fix missing clap feature
  * Fix some clippy warnings
  * More prominently document that fd uses regex by default
  * convert to path instead of cloning in batch exec
  * rename module entry -> dir_entry
  * append trailing slash to folders
  * send DirEntries to output instead of just path
* Tue Apr  5 2022 William Brown <william.brown@suse.com>
- Automatic update of vendored dependencies
- Correct _service to use the obs_scm generated tar
* Sat Jan 29 2022 sebix@sebix.at
- Update to version 8.3.2:
  * Add temporary version of logo
  * Bump version to v8.3.2
  * Add clippy run in CI/CD
  * Add tavianator sponsoring link
  * Bump MSRV to 1.54
  * Upgrade to clap 3.0
  * Add CHANGELOG entry
  * Change test_opposing to be less flaky.
  * Update normpath to 0.3.2 to fix issue #931
* Fri Jan  7 2022 Avindra Goolcharan <avindra@opensuse.org>
- remove service files
* Thu Jan  6 2022 sebix@sebix.at
- Update to version 8.3.1:
  - Bugfixes
  - Stop implying --no-ignore-parent when --no-vcs-ignore is supplied, see #907, #901, #908 (@tmccombs)
  - fd no longer waits for the whole traversal if the only matches arrive within max_buffer_time, see #868 and #895 (@tavianator)
  - --max-results=1 now immediately quits after the first result, see #867 (@tavianator)
  - fd -h does not panic anymore when stdout is closed, see #897
  - Changes
  - Disable jemalloc on FreeBSD, see #896 (@xanderio)
  - Updated man page, see #912 (@rlue)
  - Updated zsh completions, see #932 (@tmccombs)
* Mon Nov 29 2021 sebix@sebix.at
- Update to version 8.3.0:
  * Update usage section
  * Bump version
  * Update CHANGELOG for v8.3
  * Update dependencies
  * Use non-sync channel
  * squash! Add buffering to stdout when it's not a terminal
  * Add entry for buffering to CHANGELOG
  * Add buffering to stdout when it's not a terminal
  * Modify example to a realistic use case
  * Add an example of the -X option using rg
* Tue Sep 28 2021 William Brown <william.brown@suse.com>
- Replace rust-packaging with cargo-packaging
* Sat Dec 26 2020 Avindra Goolcharan <avindra@opensuse.org>
- Replace manual vendoring, build and install with rust-packaging macros
* Fri Dec 25 2020 Wang Jun <jgwang@suse.com>
- Update to 8.2.1
  * No functional changes with respect to v8.2.0. Bugfix in the release process.
- Update to 8.2.0
  * Features
  - Add new `--prune` flag, see #535 (@reima)
  - Improved the usability of the time-based options, see #624 and #645 (@gorogoroumaru)
  - Add support for exact file sizes in the `--size` filter, see #669 and #696 (@Rogach)
  - `fd` now prints an error message if the search pattern requires a leading dot but
    `--hidden` is not enabled (Unix only), see #615
  * Bugfixes
  - Avoid panic when performing limited searches in directories with restricted permissions, see #678
  - Invalid numeric command-line arguments are silently ignored, see #675
  - Disable jemalloc on Android, see #662
  - The `--help` text will be colorless if `NO_COLOR` has been set, see #600 (@xanonid)
  * Changes
  - If `LS_COLORS` is not set (e.g. on Windows), we now provide a more comprehensive default which
    includes much more filetypes, see #604 and #682 (mjsir911).
  * Other
  - Added `zsh` completion files, see #654 and #189 (@smancill)
* Tue Jul 28 2020 Martin Rey <mrey@suse.com>
- Update to 8.1.1
  * Bugfixes
  - Support colored output on older Windows versions if either
    (1) --color=always is set or
    (2) the TERM environment variable is set. See #469
* Wed May 20 2020 Paolo Stivanin <info@paolostivanin.com>
- Update to 8.1.0
  * Features
  - Add new --owner [user][:group] command-line option
  - Add support for a global ignore file (~/.config/fd/ignore on Unix)
  - Do not exit immediately if one of the search paths is missing
  * Bugfixes
  - Reverted a change from fd 8.0 that enabled colors on all
    Windows terminals (see below) in order to support
    older Windows versions again
  - Fix --glob behavior with empty pattern
* Thu Apr 16 2020 Martin Rey <mrey@suse.com>
- Update to 8.0.0
  * Features
  - Add a new -l/--list-details option to show more details about
    the search results.
  - Add a new --max-results=<count> option to limit the number of
    search results, see #472, #476 and #555
  - Add the alias -1 for --max-results=1, see #561.
  - Add new --type socket and --type pipe filters, see #511.
  - Add new --min-depth <depth> and --exact-depth <depth> options
    in addition to the existing option to limit the maximum
    depth. See #404.
  - Support additional ANSI font styles in LS_COLORS: faint, slow
    blink, rapid blink, dimmed, hidden and strikethrough.
  * Bugfixes
  - Preserve non-UTF8 filenames: invalid UTF-8 filenames are now
    properly passed to child-processes when using --exec,
  - -exec-batch or --list-details. In fd's output, we replace
    non-UTF-8 sequences with the "�" character. However, if the
    output of fd goes to another process, we print the actual
    bytes of the filename. For more details, see #558 and #295.
  - LS_COLORS entries with unsupported font styles are not
    completely ignored, see #552
  * Changes
  - When using --glob in combination with --full-path, a *
    character does not match a path separation character (/ or
    \\) anymore. You can use ** for that. This allows things like
    fd -p -g '/some/base/path/*/*/*.txt' which would previously
    match to arbitrary depths (instead of exactly two folders
    below /some/base/path. See #404.
  - "Legacy" support to use fd -exec (with a single dash) has
    been removed. Use fd -x or fd --exec instead.
  - Overall improved error handling and error messages.
  * Other
  - Korean translation of the README, see: 한국어
- Changes from 7.5.0
  * Features
  - Added --one-file-system (aliases: --mount, --xdev) to not
    cross file system boundaries on Unix and Windows, see #507
  - Added --base-directory to change the working directory in
    which fd is run, see #509 and #475
  - fd will not use colored output if the NO_COLOR environment
    variable is set, see #550 and #551
  - fd --exec will return exit code 1 if one of the executed
    commands fails, see #526 and #531
  * Bug Fixes
  - Fixed 'command not found' error when using zsh completion,
    see #487
  - fd -L should include broken symlinks, see #357 and #497
  - Display directories even if we don't have permission to
    enter, see #437
  * Changes
  - A flag can now be passed multiple times without producing an
    error, see #488 and #496
  - Search results are sorted when using the -X option to match
    the behaviour of piping to xargs, see #441 and #524
* Sun Mar 15 2020 Paolo Stivanin <info@paolostivanin.com>
- Update to 7.4.0
  * Added a new --path-separator <sep> option
  * When fd is run with the --exec-batch/-X option, it now exposes
    the exit status of the command that was run
  * Added a new -g/--glob option to switch to glob-based searches
  * Use jemalloc by default, improving the performance for almost all searches
  * Reduce number of stat syscalls, improving the performance for searches
    where file metadata is required
  * Added support for filtering by file modification time by adding
    two new options --changed-before <date|duration> and --changed-within <..>.
    For more details, see the --help text, the man page,
    the relevant issue #165 and the PR #339 (@kimsnj)
  * Added --show-errors option to enable the display of filesystem error messages
    such as "permission denied", see #311 (@psinghal20 and @majecty)
  * Added --maxdepth as a (hidden) alias for --max-depth, see #323 (@mqudsi)
  * Added --search-path option which can be supplied to replace
    the positional path argument at any position.
  * New --exec-batch <cmd>/-X <cmd> option for batch execution of commands
  * Support for 24-bit color codes
* Sun Sep 16 2018 Avindra Goolcharan <avindra@opensuse.org>
- Update to version 7.1.0
  Features
  * Added --size filter option
  * Added --type empty (or -t e) to search for empty files and/or directories
  Changes
  * .gitignore files will only be respected in Git repositories, not outside.
  * A few performance improvements for --type searches
- cleanup with spec-cleaner
* Mon Mar 26 2018 avindra@opensuse.org
- Update to version 7.0.0
  Features
  * Added --type executable (or -t x) to search for executable
    files only
  * Added support for .fdignore files
  * Added --ignore-file option to add custom ignore files
  * Suggest --fixed-strings on invalid regular expressions
  * Detect when user supplied path instead of pattern
  Changes
  * .ignore and .rgignore files are not parsed anymore. Use
    .fdignore files
  * or add custom files via --ignore-file instead.
  Bugfixes
  * Properly normalize absolute paths
  * Invalid utf8 filenames displayed when -e is used
  * If --type is used, fifos/sockets/etc. are always shown
- cleanup with spec-cleaner
* Sun Mar 18 2018 jengelh@inai.de
- Ensure neutrality of description. Describe the feature
  differences to GNU find.
* Tue Mar 13 2018 avindra@opensuse.org
- ship man page and shell completions
  - reduce size of tarballs
  - neutralize description a bit
  - port history to fd.changes
* Sat Mar 10 2018 viktor.saevars@gmail.com
- Updated to version 6.3.0
* Sun Oct  8 2017 viktor.saevars@gmail.com
- Initial packaging  @ 4.0.0
